@extends('backend.admin-master')
@section('site-title')
    {{__('Email Notify')}}
@endsection
@section('style')
    <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-beta.1/dist/css/select2.min.css" rel="stylesheet" />
@endsection
@section('content')
    <div class="col-lg-12 col-ml-12 padding-bottom-30">
        <div class="row">
            <div class="col-lg-12">
                <div class="margin-top-40"></div>
                <x-msg.success/>
                <x-msg.error/>
            </div>
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <div class="header-wrap d-flex justify-content-between">
                            <div class="left-content">
                                <h4 class="header-title">{{__('Email Notify')}}  </h4>
                                <form action="#" method="POST" enctype="multipart/form-data">
                                    @csrf
                                    @php
                                        $fileds = [1 =>'One Day', 2 => 'Two Day', 3 => 'Three Day', 4 => 'Four Day', 5 => 'Five Day', 6 => 'Six Day', 7=> 'Seven Day'];
                                    @endphp
                                    <div class="form-group  mt-3">
                                        <label for="site_logo">{{__('Select how many days earlier expiration mail alert will be send')}}</label>
                                        <br>
                                        <select name="package_expire_notify_mail_days[]" class="form-control expiration_dates" multiple="multiple" data-placeholder="{{ __('Select Days') }}">
                                            @foreach($fileds as $key => $field)
                                                @php
                                                    $package_expire_notify_mail_days = get_static_option('package_expire_notify_mail_days');
                                                    $decoded = json_decode($package_expire_notify_mail_days) ?? [];
                                                @endphp
                                                <option value="{{$key}}"
                                                @foreach($decoded as  $day)
                                                    {{$day == $key ? 'selected' : ''}}
                                                        @endforeach
                                                >{{__($field)}}</option>
                                            @endforeach
                                        </select>
                                    </div>

                                    <div class="form-group mt-3">
                                        <label for="renew_button_before_expire_days">{{ __('Select the day to display the renew button before they expire.') }}</label>
                                        <select name="renew_button_before_expire_days" class="form-control">
                                            <option value="">{{ __('Select day') }}</option>
                                            <option value="1" @if(get_static_option('renew_button_before_expire_days') == 1) selected @endif>{{ __('1 day') }}</option>
                                            <option value="2" @if(get_static_option('renew_button_before_expire_days') == 2) selected @endif>{{ __('2 days') }}</option>
                                            <option value="3" @if(get_static_option('renew_button_before_expire_days') == 3) selected @endif>{{ __('3 days') }}</option>
                                            <option value="4" @if(get_static_option('renew_button_before_expire_days') == 4) selected @endif>{{ __('4 days') }}</option>
                                            <option value="5" @if(get_static_option('renew_button_before_expire_days') == 5) selected @endif>{{ __('5 days') }}</option>
                                            <option value="6" @if(get_static_option('renew_button_before_expire_days') == 6) selected @endif>{{ __('6 days') }}</option>
                                            <option value="7" @if(get_static_option('renew_button_before_expire_days') == 7) selected @endif>{{ __('7 days') }}</option>
                                            <option value="10" @if(get_static_option('renew_button_before_expire_days') == 10) selected @endif>{{ __('10 days') }}</option>
                                            <option value="15" @if(get_static_option('renew_button_before_expire_days') == 15) selected @endif>{{ __('15 days') }}</option>
                                            <option value="20" @if(get_static_option('renew_button_before_expire_days') == 20) selected @endif>{{ __('20 days') }}</option>
                                            <option value="30" @if(get_static_option('renew_button_before_expire_days') == 30) selected @endif>{{ __('30 days') }}</option>
                                        </select>
                                    </div>

                                    <button type="submit" id="update" class="btn btn-primary mt-4 pr-4 pl-4">{{__('Update Changes')}}</button>
                                </form>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <x-media.markup/>
@endsection

@section('script')
    <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-beta.1/dist/js/select2.min.js"></script>
    <script>
        (function ($) {
            "use strict";

            $(document).ready(function () {
                $('.expiration_dates').select2();
            });
        })(jQuery)
    </script>
@endsection

